package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag759;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT759Creator;

/**
 * @author wuzhe
 * @date 2023/3/2
 */
public class Tag23HCreator extends AbsTagCreate {

     private MT759Creator mt759Creator;

    public Tag23HCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt759Creator= (MT759Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23HValue = mt759Creator.getFunctionofMessage();
        mt759Creator.set("23H", tag23HValue);
    }
}
